## step 25.08.2+p24.04+vstable+git20251015.1438

=== debian/changelog ===
step (4:25.08.2+p24.04+vstable+git20251015.1438-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:39:01 +0000

step (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:04:17 +0000
