## step 25.08.2+p24.04+vstable+git20251031.0928

=== debian/changelog ===
step (4:25.08.2+p24.04+vstable+git20251031.0928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:28:40 +0000
