## step 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})
@@ -44,7 +44,7 @@
     XmlGui
 )
 find_package(KF6DocTools ${KF_MIN_VERSION})
-find_package(Eigen3 3.2.2 REQUIRED)
+find_package(Eigen3 REQUIRED)
 find_package(GSL)
 find_package(Qalculate)
