## step 25.12.1+p24.04+vstable+git20260127.1044

=== debian/changelog ===
step (4:25.12.1+p24.04+vstable+git20260127.1044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:44:20 +0000
