=== debian/changelog ===
step (4:25.12.1+p24.04+vunstable+git20260123.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 04:50:59 +0000
